# Class GMUserInterfaceView

java.lang.Object
GMUserInterfaceView

public class GMUserInterfaceView extends Object
La classe GMUserInterfaceView représente la vue de l'interface utilisateur pour le créateur de grille. Elle crée la barre de menu et initialise les différents composants de l'interface utilisateur.

## Constructor Summary

Constructors
Constructor
Description
`GMUserInterfaceView(Window window)`
Constructeur de la classe GMUserInterfaceView.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GMUserInterfaceView

public GMUserInterfaceView(Window window)
Constructeur de la classe GMUserInterfaceView. Initialise la fenêtre avec le titre approprié, crée la barre de menu et ajoute les composants à la fenêtre.

Parameters:
  `window` - La fenêtre de l'application